//
//  AdTimingBidNativeView.h
//  AdTimingBid SDK
//
//  Copyright 2017 AdTimingBid Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
@class AdTimingBidNativeAd;
#import "AdTimingBidNativeMediaView.h"

NS_ASSUME_NONNULL_BEGIN

/// A customized UIView to represent a ad (native ad).
@interface AdTimingBidNativeView : UIView

@property (nonatomic, strong) AdTimingBidNativeAd *nativeAd;
@property (nonatomic, strong) AdTimingBidNativeMediaView *mediaView;

/// This is a method to initialize an AdTimingBidNativeView.
/// Parameter frame: the AdTimingBidNativeView frame.
- (instancetype)initWithFrame:(CGRect)frame;

@end

NS_ASSUME_NONNULL_END
